%define version 3.0.6
%define release 2mdk

Name: MAKEDEV
Version: %{version}
Release: %{release}
Group: System/Kernel and hardware
Copyright: GPL
Source: MAKEDEV-%{version}-1.tar.bz2
Patch0: MAKEDEV-3.0.6-mdkconf.patch.bz2
Summary: A program used for creating the device files in /dev.
BuildRoot: %{_tmppath}/%{name}-root

%define makedev $RPM_BUILD_ROOT/dev/MAKEDEV -c $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d -d $RPM_BUILD_ROOT/dev

%description
This package contains the MAKEDEV script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes
it easy to manage the /dev directory device files.

%package -n dev
Group: System/Kernel and hardware
Summary: The most commonly-used entries in the /dev directory.
Prereq: /usr/sbin/groupadd

%description -n dev
The Linux Mandrake operating system uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be).
This package contains the most commonly used /dev entries.

The dev package is a basic part of your Linux-Mandrake system and it needs
to be installed.

%prep
%setup -q
%patch0 -p1  -b .chmou

%build
find . -name '*.chmou'|xargs rm -f
make

%install
rm -fr $RPM_BUILD_ROOT
%{makeinstall} devdir=$RPM_BUILD_ROOT/dev

%makedev agpgart
%makedev capi20
%makedev cdrom
%makedev console
%makedev -m 4 cua
%makedev -m 64 cui
%makedev dac960
%makedev enskip
%makedev fb
%makedev fd
%makedev ftape
%makedev -m 2 ht
%makedev -m 2 i2c
%makedev ida
%makedev -m 17 ide0
%makedev -m 17 ide1
%makedev -m 17 ide2
%makedev -m 17 ide3
%makedev ipfilter
%makedev -m 2 iscc
%makedev isdn
%makedev -m 4 js
%makedev -m 16 loop
%makedev -m 3 lp
%makedev md
%makedev mouse
%makedev nb
%makedev -m 2 nht
%makedev nst
%makedev -m 3 par
%makedev -m 4 pcd
%makedev pd
%makedev -m 4 pf
%makedev -m 4 pg
%makedev pt
%makedev ptmx
%makedev pty
%makedev qng
%makedev -m 20 ram
%makedev rd
%makedev random
%makedev raw
%makedev rmt
%makedev rtc
%makedev scd
%makedev sd
%makedev sg
%makedev smpt
%makedev sound
%makedev st
%makedev systty
%makedev -m 4 staliomem
%makedev std
%makedev tlk
%makedev -m 32 tty
%makedev urandom
%makedev usb
%makedev -m 4 v4l
%makedev vcs
%makedev -m 4 winradio
%makedev xda
%makedev xdb
%makedev alsa
%makedev mandrake
%makedev microcode
%makedev ppp
# Make subdirectories we otherwise would have nothing to do with.
install -d -m 755 $RPM_BUILD_ROOT/dev/pts

%clean
rm -fr $RPM_BUILD_ROOT

%pre -n dev
/usr/sbin/groupadd -g 19 -r -f floppy > /dev/null 2>/dev/null
exit 0

%post -n dev
if [ -f /etc/fstab ] ; then
  # add /dev/pts to fstab if fstab exists (install2 does it during install)
  if grep 'devpts' /etc/fstab >/dev/null 2>&1 ; then 
      # correct permissions from broken dev packages
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed 's/devpts.*mode=0622/devpts  gid=5,mode=620/g' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to correct devpts permissions in /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
  else
    # note that we do not disallow comments; we wish to allow people
    # to comment it out if they so desire.
    if [ $(grep '/proc' /dev/fstab 2>/dev/null | wc -l) -gt 1 ] ; then
      # ugly but robust
      echo '
none                    /dev/pts                devpts  gid=5,mode=620        0 0' \
        >> /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
    else
      # beautiful in the common case
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed '/\/proc/a\
none                    /dev/pts                devpts  gid=5,mode=620        0 0
          ' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
    fi
  fi
fi

%files
%defattr(-,root,root)
%doc COPYING
/dev/MAKEDEV
%{_mandir}/man8/*
%config %{_sysconfdir}/makedev.d/*

%files -n dev
/dev/[^M]*

%changelog
* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-2mdk
- Make pg* as cdwriter group (thanks till).

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-1mdk
- add an rm -f $TMP in %%post (pixel).
- Correct alsa link.
- Merge with RH 3.0.6

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-5mdk
- Correct usbmouse link to input/mouse0.

* Wed Jul 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-4mdk
- Create ppp devices.

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-3mdk
- Don't remove isdnctl (remove it from the isdn package instead).
- Correct micrcode in the right way (titi sucks).

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.2-2mdk
- remove RH microcode entry and reput the entires i add to dev before
  lord chmoue destroy it : cpu/{mircrocode,?/{cpuid,msr} for 2cpuid,msr} for
  2.4.x
- remove also conflicting /dev/isdnctrl

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-1mdk
- Mandrake adaptation of the new dev system.
- Merge dev system of Red Hat.
- Merge MAKEDEV and dev package.

